classdef AcquisitionFilter < int32
    %daq.di.enum.acquisitionfilter: Input-sample filter modes for
    % Digilent Analog Discovery. A 'filter' is the way Digilent refers to
    % the method by which samples are processed prior to being stored 
    % in the ADC buffer.
    
    %   Copyright 2013 The MathWorks, Inc.
    
    % In all cases:
    % N = frequency_of_acquisition / frequency_of_ADC
    
    enumeration
        Decimate    (0) % Store every Nth ADC Conversion
        Average     (1) % Store the average of N ADC Conversions
        MinMax      (2) % Store interleaved min/max values 
                        % (from 2 * N conversions)
    end
    methods
        function obj = AcquisitionFilter(value)
            obj@int32(value);
        end
    end
end

