classdef TrigLen < int32
    %daq.di.enum.triglen: Trigger-duration conditions for acquisition 
    % triggers (for 'AnalogIn Instrument' subsystem of Digilent Analog 
    % Discovery board).

    %   Copyright 2013 The MathWorks, Inc.
    
    enumeration
        Less    (0) % Trigger if shorter pulse-length/transition-time is detected
        Timeout (1) % Trigger if pulse-length/transition-time is detected
        More    (2) % Trigger if the set duration is reached and the 
                    % pulse/transition has ended
    end
    methods
        function obj = TrigLen(value)
            obj@int32(value);
        end
    end    
end

