classdef TrigSrc < uint8
    %daq.di.enum.trigsrc: Source of trigger for acquisition and generation
    %systems of Digilent Analog Discovery board.

    %   Copyright 2013 The MathWorks, Inc.
    
    enumeration
        None        (0)         % No trigger required
        PC          (1)
        DetectorAnalogIn    (2)
        DetectorDigitalIn   (3)
        AnalogIn    (4)         % Trigger when AnalogIn subsystem becomes 
                                % active
        DigitalIn   (5)
        DigitalOut  (6)
        AnalogOut1  (7)
        AnalogOut2  (8)
        AnalogOut3  (9)
        AnalogOut4  (10)
        External1   (11)        % Use T1 pin for trigger-signal
        External2   (12)        % Use T2 pin for trigger-signal
        External3   (13)
        External4   (14)        
    end
    methods
        function obj = TrigSrc(value)
            obj@uint8(value);
        end
    end    
end

