classdef TrigType < int32
    %daq.di.enum.trigtype: Trigger types for acquisition triggers (for
    %'AnalogIn Instrument' subsystem of Digilent Analog Discovery board).
    
    %   Copyright 2013 The MathWorks, Inc.
    
    enumeration
        Edge        (0) % Trigger on an edge (rising/falling)
        Pulse       (1) % Trigger on positive/negative signal 
                        % (trigger-length conditions apply)
        Transition  (2) % Trigger on an edge (rising/falling ; 
                        % trigger-length conditions apply)
    end
    methods
        function obj = TrigType(value)
            obj@int32(value);
        end
    end    
    
end


